import logging
import os

import requests
from requests.auth import HTTPBasicAuth

from inventory_provider import config

TEST_DATA_DIR = os.path.dirname(__file__)
OUTPUT_FILENAME = os.path.realpath(os.path.join(
    TEST_DATA_DIR,
    "junosspace-devices.xml"
))

CONFIG_FILENAME = os.path.realpath(os.path.join(
    TEST_DATA_DIR,
    '..',
    '..',
    'inventory_provider',
    'config.json'))


def _load_devices_xml(api_url, username, password):
    r = requests.get(
        api_url + 'device-management/devices',
        auth=HTTPBasicAuth(username, password),
        # config={'verbose': sys.stderr})
        verify=False,
        )
    assert r.status_code == 200
    return r.text


if __name__ == "__main__":

    logging.basicConfig(level=logging.INFO)

    with open(CONFIG_FILENAME) as f:
        params = config.load(f)

    with open(OUTPUT_FILENAME, 'w') as f:
        f.write(_load_devices_xml(
            api_url=params['junosspace']['api'],
            username=params['junosspace']['username'],
            password=params['junosspace']['password']))
